Subject: RE: [nemo] review of draft-ietf-nemo-ro-space-analysis-00

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 12 Sep 2005 13:31:53 +0200

>
>Thanks for your review.  Please find my comments inline;
>
>On 2005/09/09 22:44, Jari Arkko wrote:
>>
>> I've read this draft. Very nice document, and a good
>> view to the solution space. In fact, I got a bit scared
>> after having read this document, given the various
>> issues with deep nesting, signaling storms, security,
>> and the very different solutions that have been
>> proposed.
>>
>> Some comments:
>>
>>>    o  Avoid the Security Policy Issue
>>>
>>>       Security policy may forbid Mobile Routers from tunneling
traffic
>>>       of Visiting Mobile Nodes into the home network of Mobile
Router.
>>>       Route Optimization can be used to avoid this issue by
forwarding
>>>       traffic from Visiting Mobile Nodes directly to their
destination
>>>       without going through the home network of the Mobile Router.
>>>
>>>    o  Avoid the Instability and Deadlock
>>>
>>>       [1] described a potential deadlock situation when a Home Agent
is
>>>       nested within a Mobile Network.  Route Optimization may
circumvent
>>>       such deadlock situations by directly forwarding traffic
upstream.
>>
>>
>> As discussed on the list earlier, I believe the above presents
>> a slightly too simplistic view. In the second item its possible
>> that some RO signaling needs to go via the home network anyway,
>> which wouldn't be able to run if there was really a loop.
>
>Right.  I think the assumption here was that such RO mechanism
>would allow the MR to find its HA somewhere in the nest,
>avoiding the loop problem.

[<PT>] Note that the nesting exists with RFC 3963 and the first thing
that might happen with a mobile router and a 2 radio interfaces is that
the egress attaches to the ingress; So the question of loop avoidance is
NOT an RO issue. RO, just like NEMO, assumes that the problem is fixed
some way. Steve Deering asked that same question when NEMO was just a
BOF, how do we avoid those loops?

This is the reason why we proposed:
http://www.ietf.org/internet-drafts/draft-thubert-tree-discovery-02.txt 

But the draft is still looking for a WG to host it. The best fit seems
to be MANEMO (Manet for NEMO). A mailaing list was created some time
ago:
http://www.mobileip.jp/mailman/listinfo/manemo

It might be time to move forward with it, in parallel with nested RO,
what do you think?

Pascal

---

From: Jari Arkko <[email-masked]>
Date: Mon, 12 Sep 2005 14:50:45 +0300

Pascal Thubert wrote:

>Note that the nesting exists with RFC 3963 and the first thing
>This is the reason why we proposed: (snip)
>  
>
I like the idea of separating loop detection and route optimization
from each other. I can't comment on the specific proposal, I
have not read it.

--Jari